Bug 425876 - NM fails to start on boot due to init script sort order
NM fails to start on boot due to init script sort order
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 20:47 EST by Chris Adams
Modified: 2009-01-09 00:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:32:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2007-12-16 20:47:51 EST
I have enabled NetworkManager with chkconfig, but it does not start on boot.  I
get the following in the logs:

Dec 16 19:32:14 think NetworkManager: <info>  starting...
Dec 16 19:32:14 think NetworkManager: <WARN>  nm_hal_manager_new(): Could not
initialize connection to the HAL daemon.

I'm not sure why it fails; if I start it after logging in, it works fine.  This
is after disabling some unused services: auditd autofs avahi-daemon firstboot
gpm microcode_ctl nfslock pcscd rpcbind rcpgssd rpcidmapd.  However, I tried
re-enabling those services and still NM doesn't start at boot.

Okay, I figured it out; this is a bug in the startup script priority.  NM
requires haldaemon, but both are set to start at priority 98.  I had set
LC_COLLATE=C in /etc/sysconfig/i18n, and that caused S98NetworkManager to sort
before S98haldaemon.  I don't know which should be changed, but depending on
sort order (beyond the numeric part) is probably a bad idea.
Comment 1 Naoto NIKI 2008-02-25 03:11:57 EST
I have moved S98haldaemon to S97haldaemon in /etc/rc5.d.  It seems to work well
without any side-effect.

'Cause all the remaining S98 terms are devoted to network and printer softwares,
I think this might be proper relocation.
Comment 2 Chris Adams 2008-03-06 10:00:06 EST
Can haldaemon's init script be changed like this?  It really only makes sense;
there are things that depend on haldaemon, so 98 is pretty late in the boot
order to start.
Comment 3 Orion Poplawski 2008-06-17 18:23:21 EDT
Ping?

98 really does seem quite late.  It seems that haldaemon and NetworkManager
really should be much earlier.  I have trouble starting services in 99/local
that need the network up.

What does haldaemon really need?  Messagebus? Perhaps S28/K72?
Comment 4 Bug Zapper 2008-11-26 04:02:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:32:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.